#include<bits/stdc++.h>

using namespace std;

long long int n,a[1000000];

void maximum()
{
    long long int maxim=0,index,j;
    for(long long int i = 0;i<n;i++){
        for(long long int j = i;j<n;j++) {
            if(a[j]>=maxim) {
                maxim = a[j];
                index = j;
            }
        }
        if(maxim != a[i]) {
            long long int tmp=a[index];
            a[index] = a[i];
            a[i]=tmp;
            break;
        }
        maxim = 0;
    }
    for(long long int i = 0;i<n;i++) cout<<a[i]<<" ";
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);

    cin>>n;
    for(int i = 0;i<n;i++) cin>>a[i];
    maximum();
    return 0;
}